import request from '@/utils/request'

// 查询文章内容管理列表
export function listArticleContent(query) {
  return request({
    url: '/system/articleContent/list',
    method: 'get',
    params: query
  })
}

// 查询文章内容管理详细
export function getArticleContent(id) {
  return request({
    url: '/system/articleContent/' + id,
    method: 'get'
  })
}

// 新增文章内容管理
export function addArticleContent(data) {
  return request({
    url: '/system/articleContent',
    method: 'post',
    data: data
  })
}

// 修改文章内容管理
export function updateArticleContent(data) {
  return request({
    url: '/system/articleContent',
    method: 'put',
    data: data
  })
}

// 删除文章内容管理
export function delArticleContent(id) {
  return request({
    url: '/system/articleContent/' + id,
    method: 'delete'
  })
}
